Summary:	Scientific Data Analysis and Visualization
Name:		scidavis
Version:	0.2.4
Release:	2%{?dist}
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#  svn export -r 1323 https://scidavis.svn.sourceforge.net/svnroot/scidavis/manual/0.2/ manual
#  tar -cjvf scidavis-manual-0.2_`date --iso`.tar.bz2 manual
Source1:	%{name}-manual-0.2_2010-04-20.tar.bz2
Patch0:		%{name}-pro.patch
#fix installation paths of fitPlugins
Patch1:		%{name}-fitPlugins.patch
#fix manual building
Patch2:		%{name}-manual.patch
URL:		http://scidavis.sourceforge.net/
License:	GPLv2+
Group:		Applications/Engineering
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gsl-devel
BuildRequires:	muParser-devel
#BuildRequires:	qt4-devel
BuildRequires:	qt-assistant-adp-devel
BuildRequires:	qwt-devel
BuildRequires:	qwtplot3d-qt4-devel
#python2-devel comes with sip-devel
#BuildRequires:	python2-devel
BuildRequires:	PyQt4-devel 
#sip-devel comes with PyQt4-devel
#BuildRequires:	sip-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	dblatex
BuildRequires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	kde-filesystem

%description
SciDAVis is a user-friendly data analysis and visualization program primarily
aimed at high-quality plotting of scientific data. It strives to combine an
intuitive, easy-to-use graphical user interface with powerful features such
as Python scriptability.

%package doc
Summary:	Documentation for SciDAVis
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch 
Provides:	%{name}-manual = %{version}-%{release}
Obsoletes:	%{name}-manual < 0.2.4-1

%description doc
The %{name}-doc package contains documentation for the %{name}.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p0
#fix spurious-executable-perm
find . -type f -exec chmod 0644 {} \;
#fix docbook to adapt different versions of fedora
sed -i "s/VER-REL/`rpm -q docbook-dtds|sed "s/^[^0-9]*//;s/\.noarch//;\
s/\./\\\./g"`/" manual/docbook-en/index.docbook
#fix default path for fitPlugins
sed -i "s\/usr/lib/%{name}/plugins\%{_libdir}/%{name}/plugins\g" \
	%{name}/src/ApplicationWindow.cpp
sed -i -e 's/Qt;Science;Physics;Math;Graphics;/Education;Science;DataVisualization;Qt/' %{name}/%{name}.desktop

%build
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake LIB=%{_libdir} SCIDOCDIR=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}
pushd manual
make
popd
pushd man
docbook2man manpage.sgml
echo ".so man1/SciDAVis.1" > %{name}.1
popd

%install
rm -rf %{buildroot}
make INSTALL_ROOT="%{buildroot}" install
#fix wrong manual path(important!!!)
mv %{buildroot}%{_docdir}/%{name}-%{version}/html %{buildroot}%{_docdir}/%{name}-%{version}/manual
install -d %{buildroot}%{_mandir}/man1
install -D -pm 644  man/*.1 %{buildroot}%{_mandir}/man1/
install -d %{buildroot}%{_datadir}/%{name}/translations
install -D -pm 644 %{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/
#remove symlinks
find %{buildroot}%{_libdir}/%{name} -type l -exec rm {} \;

desktop-file-install --vendor "" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
#add mime-type icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/
install -cpm 644 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/application-x-sciprj.png
install -cpm 644 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/application-x-sciprj.png

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%exclude %{_sysconfdir}/*.pyo
%exclude %{_sysconfdir}/*.pyc
%exclude %{_docdir}/%{name}-%{version}/manual
%config %{_sysconfdir}/*.py
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_docdir}/%{name}-%{version}
%{_mandir}/man1/*.1*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/mimelnk/application/x-sciprj.desktop
%{_datadir}/icons/hicolor/*/mimetypes/application-x-sciprj*
%{_datadir}/icons/hicolor/*/apps/scidavis.*
%{_datadir}/icons/locolor/*/apps/scidavis.*

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual

%changelog
* Tue Apr 20 2010 Chen Lei <supercyper@163.com> - 0.2.4-2 
- Update the scidavis documentation

* Sat Mar 13 2010 Chen Lei <supercyper@163.com> - 0.2.4-1 
- Update to 0.2.4

* Sat Mar 13 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-14
- BR qt-assistant-adp-devel

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-13 
- rebuild (sip)

* Mon Nov 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-12 
- rebuild (for qt-4.6.0-rc1, f13+)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-11
- Requires: sip-api(%%_sip_api_major) >= %%_sip_api (#538121)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-10
- optimize scriptlets

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-9
- hackish buildfix for sip-devel >= 4.9 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-7
- Requires scidavis for scidavis-manual
- Change categories in scidavis.desktop

* Tue Jul 21 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-6
- Touch manual/scidavis.adp to make Assistant update the cache

* Sun Jul 19 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-5
- Rebuild

* Sun Jul 19 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-4
- Rebuild

* Fri Jul 17 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-3
- Patch for manual path

* Mon Jul 13 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-2
- BZ #510968

* Sun Jul 05 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.3-1
- Update to 0.2.3

* Wed Apr 22 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.2-1
- Update to 0.2.2

* Sat Apr 10 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.2.1-1
- Update to 0.2.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 09 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.4-1
- Update to 0.1.4

* Sun Jan 11 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.3-7
- Replace the sip patch by a better one from upstream

* Sun Jan 11 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.3-6
- Replace the sip patch by the one from upstream

* Wed Jan 07 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.3-5
- Rebuild

* Wed Jan 07 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-4
- sip patch (#479118)

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.3-3
- Rebuild for Python 2.6

* Wed Apr 23 2008 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.3-2
- Handle correctly the icons

* Wed Apr 23 2008 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.3-1
- Update to 0.1.3

* Mon Feb 25 2008 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 0.1.2-1
- Initial build
